
QGIS Application - Bug report #20108

QGIS save project not working properly

2018-10-14 10:05 PM - Mario Reyes

Status: Open

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.4.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27930

Description

Steps to reproduce the error:

-Load a 3.2.3 .qgz file in QGIS Master (ae397bf24a) installed via OSGEO4W

-Save the project using the save button.  The * next to the project file name still appears.  

-Save the project in .qgs format following #18477 workaround, but the * still appears, and if the project is closed QGIS asks if I want to

save the changes.

Checking the project file in the directory, it seems the changes are saved, because the time of modification corresponds to when the save

button was clicked.

History

#1 - 2018-10-14 10:19 PM - Giovanni Manghi

- Priority changed from High to Normal

- Category changed from GUI to Project Loading/Saving

#2 - 2018-11-02 10:22 PM - Mario Reyes

Still true in QGIS 3.4

#3 - 2018-11-02 10:23 PM - Giovanni Manghi

- Affected QGIS version changed from 3.3(master) to 3.4.0
